<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/admin/schedblock/addSchedBlock.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: addSchedBlock.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ taglib uri="http://opendj.org/admin/channel-taglib" prefix="channel" %>
<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<channel:findChannels id="channellist" />
<dj:findDjs id="djlist" />
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>Add Schedule Block</title>
  </head>

  <body>
    <h1>Add Schedule Block</h1>

<form action="processAddSchedBlock.jsp">
  Channel: <select name="channelid"><channel:iterate collection="channellist" bean="cBean">
        <option value="<jsp:getProperty name="cBean" property="cid" />">
            <jsp:getProperty name="cBean" property="path" />
        </option>
    </channel:iterate>
    </select>
<br>
  Day: <select name="day">
          <option value="0">Sunday
          <option value="1">Monday
          <option value="2">Tuesday
          <option value="3">Wednesday
          <option value="4">Thursday
          <option value="5">Friday
          <option value="6">Saturday
       </select><br>
<br>
<input type="submit" value="See available times">
</form>

<!--
    Present an HTML for where the user picks the following:
        The channel
        The day
    We then submit these to a form which displays all the open blocks
    in the day.  If there are no open block, the user is returned to
    this screen with a message and told to pick a new day

    The schedule screen should display all slots, including those that 
    are filled, so the user knows what is around them.

    On the schedule screen, the user chooses:
       The Dj
       The a start time based on
    what is available from the schedule
    When the start time is selected, the end time dropdown is
    populated with the available end times, given the start time.

    On the server side, we need to do some validation:
    If the start time or end time is invalid, return an error.
    Even if an end time is available, make sure to check
    TIME_SLOT_MAX_LENGTH to see if the time slot is too long.  Max
    should probably be something like 4 hours.
    If the slot requires moderator approval, send a message to the
    user.
    If the slot is unmoderated, send a message to the user.

Other functions (to be done on other pages):
    Allow the admin to change the attributes on a given set of
    SchedBlocks.  This should issue a warning if the blocks have
    current Djs that are expecting a certain set of attributes.

    Given a Dj, allow them to edit their data as shown in the Dj
    table.
    Given a Dj, allow them to view the times at which they are
    scheduled.
    Given a Dj, allow them to remove times at which they are
    scheduled.  There is some logic to consider here:
        If the slot is an unmoderated one-time slot, make sure they
        are within the ONETIME_UNMODERATED_WITHDRAW limit.

        If the slot is a moderated one-time slot, make sure they
        are within the ONETIME_MODERATED_WITHDRAW limit.

        If the slot is an unmoderated weekly slot, make sure they
        are within the WEEKLY_UNMODERATED_WITHDRAW limit.

        If the slot is a moderated weekly slot, make sure they
        are within the WEEKLY_MODERATED_WITHDRAW limit.
-->

    <hr>
    <address><a href="mailto:jonathan@zelda.aeon23.net"></a></address>
<!-- Created: Fri Feb  2 00:42:34 PST 2001 -->
<!-- hhmts start -->
Last modified: Fri Feb  2 01:33:04 PST 2001
<!-- hhmts end -->
  </body>
</html>
