<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/archives/index.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: index.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.server.AudioArchive" %>
<%@ taglib uri="http://opendj.org/admin/genre-taglib" prefix="genre" %>
<%@ taglib uri="http://opendj.org/admin/mood-taglib" prefix="mood" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>

<genre:findGenres id="genrelist" />
<mood:findMoods id="moodlist" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Archives</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">OPENdj Archives</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="header2">
Search the OPENdj Archives</font>
<hr>

<form:webMessage bean="wm">
<b><font class="header3">
<jsp:getProperty name="wm" property="message" />
</font></b><hr>
</form:webMessage>

<font class="bodytext">
Enter your search criteria below:
</font>
<br>

<form action="results.jsp" method="GET">

<table border="0">

<tr>
  <td><font class="bodytext">
    By Genre:
  </font></td>
  <td><font class="bodytext">
    <select name="gid">
      <option value="-1">Any Genre</option>
    <genre:iterate collection="genrelist" bean="gBean">
      <option value="<jsp:getProperty name="gBean" property="gid" />">
        <jsp:getProperty name="gBean" property="name" />
      </option>
    </genre:iterate>
    </select>
  </font></td>
</tr>

<tr>
  <td><font class="bodytext">
    By Mood:
  </font></td>
  <td><font class="bodytext">
    <select name="mid">
      <option value="-1">Any Mood</option>
    <mood:iterate collection="moodlist" bean="mBean">
      <option value="<jsp:getProperty name="mBean" property="mid" />">
        <jsp:getProperty name="mBean" property="name" />
      </option>
    </mood:iterate>
    </select>
  </font></td>
</tr>

<tr>
  <td><font class="bodytext">
    By DJ:
  </font></td>
  <td><font class="bodytext">
    <input type="text" name="djname" value="">
  </font></td>
</tr>

<tr>
  <td><font class="bodytext">
    By Show Description:
  </font></td>
  <td><font class="bodytext">
    <input type="text" name="showdesc" value="">
  </font></td>
</tr>

<tr>
  <td><font class="bodytext">
    Sort results by:
  </font></td>
  
  <td><font class="bodytext">
    <select name="sort">
      <option value="<%=AudioArchive.SORT_LISTENERS_DESC%>">Most Listeners First</option>
      <option value="<%=AudioArchive.SORT_TIME_DESC%>">Newer Broadcasts First</option>
      <option value="<%=AudioArchive.SORT_TIME_ASC%>">Older Broadcasts First</option>
    </select>
  </font></td>
</tr>

<tr>
  <td colspan="2"><font class="bodytext">
    <input type="submit" name="searchArchivesButton" value="Search Archives">
  </font></td>
</tr>

</table>

</form>

</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
