<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/changeIdentity.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: changeIdentity.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>

<dj:auth djbean="djBean" errorURL="/opendj/djzone/login.jsp" />

<dj:changeIdentity email="email"
                   city="city"
                   state="state"
                   country="country"
                   phone="phone"
                   successURL="successURL"
                   errorBean="ebean"
                   button="changeIdentityButton" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Change Identity Information</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Change Identity Information</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<form:showErrors errorBean="ebean">
<hr>
<font class="header3">There were some errors you need to fix before
your identity can be updated.</font>
<jsp:getProperty name="ebean" property="htmlerror" />
<hr>
</form:showErrors>

<form action="<%=request.getRequestURI()%>" method="POST">
<input type="hidden" name="successURL" value="showdj.jsp">
<table border="0">

<tr>
  <td><font class="bodytext">
  Email:</font></td>
  <td><font class="bodytext">
    <input type="text" name="email" value="<jsp:getProperty name="djBean" property="email" />">
  </font></td>
  <td><font class="bodytext">
   NOTE: If you change your email address, a new password will be
   automatically generated and sent to the new email address.  This is 
   to guarantee that OPENdj always has a valid email address for your
   DJ account.
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  City:</font></td>
  <td><font class="bodytext">
    <input type="text" name="city" value="<jsp:getProperty name="djBean" property="city" />">
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  State/Province:</font></td>
  <td><font class="bodytext">
    <input type="text" name="state" value="<jsp:getProperty name="djBean" property="state" />">
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Country:</font></td>
  <td><font class="bodytext">
    <input type="text" name="country" value="<jsp:getProperty name="djBean" property="country" />">
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Phone:</font></td>
  <td><font class="bodytext">
    <input type="text" name="phone" value="<jsp:getProperty name="djBean" property="phone" />">
  </font></td>
</tr><tr>
  <td colspan="2"><font class="bodytext">
    <input type="submit" name="changeIdentityButton" value="Change Identity Information">
  </font></td>
</tr>
</table>
</form>

</font>

</td>
</tr>
</table>
<%@ include file="include/footer.jsp" %>
  </body>
</html>
