<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/changeProgram.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: changeProgram.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.taglib.genre.GenreBean" %>
<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>
<%@ taglib uri="http://opendj.org/admin/genre-taglib" prefix="genre" %>

<dj:auth djbean="djBean" errorURL="/opendj/djzone/login.jsp" />

<dj:changeProgram djname="djname"
                  showname="showname"
                  genre="genre"
                  musicdesc="musicdesc"
                  webpage="webpage"
                  successURL="successURL"
                  errorBean="ebean"
                  button="changeProgramButton" />

<genre:findGenres id="genrelist" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Change Program Information</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Change Program Information</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<form:showErrors errorBean="ebean">
<hr>
<font class="header3">There were some errors you need to fix before
your program information can be updated.</font>
<jsp:getProperty name="ebean" property="htmlerror" />
<hr>
</form:showErrors>

<form action="<%=request.getRequestURI()%>" method="POST">
<input type="hidden" name="successURL" value="showdj.jsp">
<table border="0">

<tr>
  <td><font class="bodytext">
  DJ Name:</font></td>
  <td><font class="bodytext">
    <input type="text" name="djname" value="<jsp:getProperty name="djBean" property="djname" />">
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Show Name:</font></td>
  <td><font class="bodytext">
    <input type="text" name="showname" value="<jsp:getProperty name="djBean" property="showname" />">
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Genre:</font></td>
  <td><font class="bodytext">
    <select name="genre">
    <genre:iterate collection="genrelist" bean="gBean">
      <option value="<jsp:getProperty name="gBean" property="gid" />" <% if ( ((GenreBean) pageContext.getAttribute("gBean")).getgid() == djBean.getgenre() ) { %>SELECTED<% } %>>
        <jsp:getProperty name="gBean" property="name" />
      </option>
    </genre:iterate>
    </select>
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Description of Your Music:</font></td>
  <td><font class="bodytext">
    <textarea name="musicdesc" rows="6" cols="40" WRAP="VIRTUAL"><jsp:getProperty name="djBean" property="musicdesc" /></textarea>
  </font></td>
</tr><tr>
  <td><font class="bodytext">
  Your Web Page:</font></td>
  <td><font class="bodytext">
    <input type="text" name="webpage" value="<jsp:getProperty name="djBean" property="webpage" />">
  </font></td>
</tr><tr>
  <td colspan="2"><font class="bodytext">
    <input type="submit" name="changeProgramButton" value="Change Program Information">
  </font></td>
</tr>
</table>
</form>

</font>

</td>
</tr>
</table>
<%@ include file="include/footer.jsp" %>
  </body>
</html>
