<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/confirmSingleSlot.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: confirmSingleSlot.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@page import="org.opendj.util.Util" %>
<%@page import="org.opendj.util.DBFormat" %>
<%@page import="org.opendj.util.TimeUtil" %>
<%@page import="org.opendj.util.CryptoUtil" %>
<%@taglib uri="http://opendj.org/admin/schedblock-taglib" prefix="sched" %>
<%@taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>
<%@taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@taglib uri="http://opendj.org/admin/channel-taglib" prefix="channel" %>

<dj:auth errorURL="/opendj/djzone/login.jsp" djid="djid" />

<sched:addSingleShow date="date" channelid="cid" djid="djid"
                     starthour="starthour" startmins="startmins" 
                     length="length" verify="false" button="confirmButton"
                     errorBean="formdata" successURL="singleSlotComplete.jsp" />

<channel:lookupChannel cid="cid" bean="chan" />

<%
String aStartHourString = request.getParameter("starthour");
String aStartMinString  = request.getParameter("startmins");
String aLengthString = request.getParameter("length");
int aStartHour = Integer.parseInt(aStartHourString);
int aStartMin = Integer.parseInt(aStartMinString);
int aLength = Integer.parseInt(aLengthString);
String aStartTime = DBFormat.FormatStartTime( aStartHour + aStartMin );
String anEndTime = DBFormat.FormatStartTime( aStartHour + aStartMin + aLength );
String aDateString = request.getParameter("date");
int aDjid = ((Integer) pageContext.getAttribute("djid")).intValue();
%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Confirm One-Time Broadcast</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Confirm One-Time Broadcast</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>

<% if ( formdata != null && formdata.getHasErrors() ) { %>
<hr>
<font class="header3">There were some errors you need to fix before
you can continue.</font>
<font class="bodytext">
<jsp:getProperty name="formdata" property="htmlerror" />
</font>
<hr>
<% } else if ( TimeUtil.getURLHasInfo(request) ) { %>
<hr>
<font class="header3">
   <%=TimeUtil.getMessage(request)%>
</font>
<hr>
<% } %>

<font class="header2">
Please confirm your selection by clicking the "CONFIRM" button
below.
</font>
<br><br>
<font class="header3">
YOU WILL BE BROADCASTING:
</font>
<font class="bodytext">
<br>
<br>
On the <jsp:getProperty name="chan" property="name" /> Channel<br>
Broadcasting will take place on <%=aDateString%><br>
Broadcasting starts at <%=aStartTime%> and continues for <%=DBFormat.FormatDuration(aLength*Util.MILLIS_IN_MINUTE)%>.<br>
Broadcasting ends at <%=anEndTime%>.<br>
<b>Note that all times are US PACIFIC TIME.</b><br>
<br>
    By clicking the "CONFIRM" button below, you agree that:<br>
<ul>
<li>YOU ARE AWARE OF THE DATE AND TIME OF YOUR BROADCAST.
<li>YOU ARE RESPONSIBLE FOR BROADCASTING DURING THIS TIME.
<li>If you cannot fulfill this commitment, YOU ARE RESPONSIBLE FOR FINDING A SUBSTITUTE.
</ul>

<form action="<%=request.getRequestURI()%>">
<input type="hidden" name="date" value="<%=aDateString%>">
<input type="hidden" name="cid" value="<%=request.getParameter("cid")%>">
<input type="hidden" name="djid" value="<%=CryptoUtil.scrambleInt(aDjid)%>">
<input type="hidden" name="starthour" value="<%=aStartHourString%>">
<input type="hidden" name="startmins" value="<%=aStartMinString%>">
<input type="hidden" name="length" value="<%=aLengthString%>">
<input type="submit" name="confirmButton" value="CONFIRM">
</form>

</font>

</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
