<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/showWeeklyTimes.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: showWeeklyTimes.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@page import="java.util.Date" %>
<%@page import="org.opendj.util.Util" %>
<%@page import="org.opendj.util.TimeUtil" %>
<%@page import="org.opendj.util.CryptoUtil" %>
<%@page import="org.opendj.util.DBFormat" %>
<%@taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>
<%@taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@taglib uri="http://opendj.org/admin/channel-taglib" prefix="channel" %>
<%@taglib uri="http://opendj.org/admin/schedblock-taglib" prefix="sched" %>

<dj:auth errorURL="/opendj/djzone/login.jsp" djid="djid" />

<%
String aDayString = request.getParameter("day");
int aDay = Integer.parseInt(aDayString);
aDayString = Util.DAY_NAMES_FULL[aDay];
int aDjid = ((Integer) pageContext.getAttribute("djid")).intValue();
%>

<sched:addWeeklyShow day="day" channelid="cid" djid="djid"
                     starthour="starthour" startmins="startmins" numweeks="numweeks"
                     length="length" verify="true" button="pickTimeButton"
                     errorBean="formdata" successURL="confirmWeeklySlot.jsp" />

<channel:lookupChannel cid="cid" bean="chan" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Weekly Times Available</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Weekly Times Available</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>

<% if ( formdata != null && formdata.getHasErrors() ) { %>
<hr>
<font class="header3">There were some errors you need to fix before
you can continue.</font>
<font class="bodytext">
<jsp:getProperty name="formdata" property="htmlerror" />
</font>
<hr>
<% } else if ( TimeUtil.getURLHasInfo(request) ) { %>
<hr>
<font class="header3">
   <%=TimeUtil.getMessage(request)%>
</font>
<hr>
<% } %>

<font class="header2">Current  <%=aDayString%> schedule for the
 "<jsp:getProperty name="chan" property="name" />" channel.  
</font>
<br>
<font class="bodytext">
<b>Note that all times are US PACIFIC TIME</b>
</font>
<sched:renderSignupSchedule day="day" channelid="cid" />

<hr>

<form action="<%=request.getRequestURI()%>">
<input type="hidden" name="day" value="<%=aDay%>">
<input type="hidden" name="numweeks" value="<%=request.getParameter("numweeks")%>">
<input type="hidden" name="cid" value="<%=request.getParameter("cid")%>">
<input type="hidden" name="djid" value="<%=CryptoUtil.scrambleInt(aDjid)%>">

<font class="bodytext">
When do you want your show to start: 
<select name="starthour">
  <option value="0">00</option>
  <option value="60">01</option>
  <option value="120">02</option>
  <option value="180">03</option>
  <option value="240">04</option>
  <option value="300">05</option>
  <option value="360">06</option>
  <option value="420">07</option>
  <option value="480">08</option>
  <option value="540">09</option>
  <option value="600">10</option>
  <option value="660">11</option>
  <option value="720">12</option>
  <option value="780">13</option>
  <option value="840">14</option>
  <option value="900">15</option>
  <option value="960">16</option>
  <option value="1020">17</option>
  <option value="1080">18</option>
  <option value="1140">19</option>
  <option value="1200">20</option>
  <option value="1260">21</option>
  <option value="1320">22</option>
  <option value="1380">23</option>
</select>:<select name="startmins">
  <option value="0">00</option>
<%--  <option value="15">15</option> --%>
  <option value="30">30</option>
<%--  <option value="45">45</option> --%>
</select>
<br>
How long do you want to broadcast?
<select name="length">
  <option value="30">30 minutes</option>
  <option value="60">1 hour</option>
  <option value="90">1 hour, 30 minutes</option>
  <option value="120">2 hours</option>
  <option value="150">2 hours, 30 minutes</option>
  <option value="180">3 hours</option>
  <option value="210">3 hours, 30 minutes</option>
  <option value="240">4 hours</option>
</select>
<br>
Click the "Sign up" button to continue.<br>
<b>NOTE</b>: You will be given a chance to confirm or cancel your selection after 
you click the "Sign up" button.<br>
<input type="submit" name="pickTimeButton" value="Sign up">
</font>
</form>

</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
