<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/specifyRerun.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: specifyRerun.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.util.SchedBlock" %>
<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>
<%@ taglib uri="http://opendj.org/admin/schedblock-taglib" prefix="sched" %>
<%@ taglib uri="http://opendj.org/admin/archive-taglib" prefix="archive" %>

<dj:auth errorURL="/opendj/djzone/login.jsp" />

<sched:specifyRerun button="specifyRerunButton" archid="archid" psid="psid" successURL="successURL" errorBean="ebean" />

<%
int aPSID = -1;
try {
      aPSID = Integer.parseInt(request.getParameter("psid"));
} catch ( Exception e ) {
      response.sendRedirect("viewshows.jsp");
      return;
}
%>

<sched:lookupOnAir psid="psid" bean="oaBean" />

<archive:getEligibleReruns id="archlist" psid="psid" />

<%
if ( archlist.size() == 0 ) {
    response.sendRedirect("index.jsp");
    return;
}
%>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Specify a Previous Show to Rebroadcast</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Specify a Previous Show to Rebroadcast</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>

<form:showErrors errorBean="ebean">
<font class="header2">
<hr>
<jsp:getProperty name="ebean" property="htmlerror" />
<hr>
</font>
</form:showErrors>

<font class="bodytext">

In case no one volunteers to substitute for your show, or if you don't
want to allow anyone to substitute for your show, you can specify a
show that you previously broadcasted to rebroadcast instead.  This
earns very little karma, but it's still MUCH better than not showing
up at all, which is VERY BAD.<br>
<br>
<hr>

<font class="header3">
<form action="<%=request.getRequestURI()%>">
<input type="hidden" name="psid" value="<%=aPSID%>">
<input type="hidden" name="successURL" value="rerunSpecified.jsp">
You are specifying a rerun for the following show:<br>

<b>Channel</b>: <jsp:getProperty name="oaBean" property="channelname" /><br>
<b>Starts at</b>: <jsp:getProperty name="oaBean" property="startstring" /><br>
<b>Ends at</b>: <jsp:getProperty name="oaBean" property="endstring" /><br>
<br>
These are your previously broadcasted shows that are eligible to be
rerun during the time shown above.<br>
Please pick one:
<SELECT name="archid">
 <archive:iterate collection="archlist" bean="archBean">
    <OPTION value="<jsp:getProperty name="archBean" property="archid" />" <% if ( archBean.getArchid() == oaBean.getarchid() ) { %>SELECTED<% } %>>
    <jsp:getProperty name="archBean" property="starttimestring" />, <jsp:getProperty name="archBean" property="durationstring" />
    </OPTION>
 </archive:iterate>
</SELECT>
<br>
</font>
<font class="bodytext">
NOTE that if you pick a rerun that is LONGER than this time slot,
the rerun will be stopped when the timeslot ends, which will
prematurely end the rerun before it completes.  Ideally, you should pick a rerun
that is precisely the same length as this time slot.
<br>
</font>
<font class="header3">
<input type="submit" name="specifyRerunButton" value="Rebroadcast Previous Show">
</form>
</font>

</font>
</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
