<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/startsignup.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: startsignup.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.util.SchedBlock" %>
<%@ page import="org.opendj.util.Util" %>
<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@ taglib uri="http://opendj.org/admin/channel-taglib" prefix="channel" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>

<dj:auth errorURL="/opendj/djzone/login.jsp" />

<jsp:useBean id="formdata" class="org.opendj.util.FormErrorBean" />

<%
if ( request.getParameter("viewTimesButton") != null ) { 
    // Do basic form validation in the page
    formdata.validateRadio( request, "slottype", "Broadcast Type" );
    String aSlotType = formdata.getValue("slottype");
    if ( aSlotType != null && aSlotType.equals("onetime") ) {
        formdata.validateSchedDate ( request, 
                                     "onetimedate", "Date" );
    } else {
        formdata.validateSelectionMade(request, "day", "Day");
        formdata.validateSelectionMade(request, "numweeks", "Number of Weeks");
    }
    formdata.validateRadio(request, "channelid", "Channel");
    
    if ( !formdata.getHasErrors() ) {
        if ( aSlotType.equals("onetime") ) {
            response.sendRedirect("showSingleTimes.jsp?date=" 
                                  + java.net.URLEncoder.encode(formdata.getValue("onetimedate"))
                                  + "&cid=" + formdata.getValue("channelid"));
        } else {
            response.sendRedirect("showWeeklyTimes.jsp?day=" 
                                  + formdata.getValue("day")
                                  + "&numweeks=" + formdata.getValue("numweeks")
                                  + "&cid=" + formdata.getValue("channelid"));
        }
        return;
    }
}
%>

<channel:findChannels id="channellist" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: New Broadcast</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Sign Up For a New Broadcast Time</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>

<form:showErrors errorBean="formdata">
<hr>
<font class="header3">There were some errors you need to fix before
you can continue.</font>
<font class="bodytext">
<jsp:getProperty name="formdata" property="htmlerror" />
</font>
<hr>
</form:showErrors>

<form action="<%=request.getRequestURI()%>" method="POST">
<font class="header2">Broadcast Type: One-Time Show or Weekly Time Slot?</font><br>

  <font class="bodytext"><input type="radio" name="slottype" value="onetime" CHECKED>I just want to sign up for a
  one-time broadcast on this date:<input type="text"
  name="onetimedate" value="<%=Util.nz(formdata.getValue("onetimedate"))%>">(use MM/DD/YYYY)<br>
  <input type="radio" name="slottype" value="weekly">I am ready to commit to a weekly
  time slot, on this day of the week:<select name="day">
          <option value="0">Sunday
          <option value="1">Monday
          <option value="2">Tuesday
          <option value="3">Wednesday
          <option value="4">Thursday
          <option value="5">Friday
          <option value="6">Saturday
       </select>,<br>
and I'd like to broadcast for <select name="numweeks"> 
<option value="4">4 weeks (~1 month)</option>
<option value="6">6 weeks</option>
<option value="8">8 weeks (~2 months)</option>
<option value="10">10 weeks</option>
<option value="12">12 weeks (~3 months)</option>
<option value="16">16 weeks (~4 months)</option>
<option value="20">20 weeks (~5 months)</option>
<option value="24">24 weeks (~6 months)</option>
<option value="26">26 weeks (6 months)</option>
</select><br>
<br>
</font>

<hr>
<font class="header2">Pick a Channel</font><br>
<font class="bodytext">
<channel:iterate collection="channellist" bean="cBean">
<input type="radio" name="channelid" value="<jsp:getProperty name="cBean" property="cid" />">
<b><jsp:getProperty name="cBean" property="name" /></b>: <jsp:getProperty name="cBean" property="djdescription" />
<br>
</channel:iterate>
<br>
New DJs are encouraged to experiment in the practice space for a while to
practice broadcasting, but there's nothing to stop you from signing up 
on any channel that has available space.
<br>
<hr>
<input type="submit" name="viewTimesButton" value="View available times">
</font>
</form>

</td>
</tr>
</table>
<%@ include file="include/footer.jsp" %>
  </body>
</html>
