<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/djzone/unspecifyRerun.jsp,v 1.1.1.1 2001/09/29 20:40:26 jonathan Exp $
$Log: unspecifyRerun.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:26  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.util.SchedBlock" %>
<%@ taglib uri="http://opendj.org/admin/dj-taglib" prefix="dj" %>
<%@ taglib uri="http://opendj.org/admin/form-taglib" prefix="form" %>
<%@ taglib uri="http://opendj.org/admin/schedblock-taglib" prefix="sched" %>

<dj:auth errorURL="/opendj/djzone/login.jsp" />

<sched:specifyRerun archid="archid" button="unspecifyRerunButton" psid="psid" successURL="successURL" errorBean="ebean" />

<%
int aPSID = -1;
try {
      aPSID = Integer.parseInt(request.getParameter("psid"));
} catch ( Exception e ) {
      response.sendRedirect("viewshows.jsp");
      return;
}
%>

<sched:lookupOnAir psid="psid" bean="oaBean" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Remove Scheduled Rerun</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Remove Scheduled Rerun</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>

<form:showErrors errorBean="ebean">
<font class="header2">
<hr>
<jsp:getProperty name="ebean" property="htmlerror" />
<hr>
</font>
</form:showErrors>

<font class="bodytext">

Click on the "Remove Scheduled Rerun" button below to remove the
scheduled rerun.<br>
<br>
<% if ( oaBean.getstatus() == SchedBlock.STATUS_DJ_SCHEDULED_RERUN ) { %>
If you remove the scheduled rerun, YOU will be responsible for doing a 
live broadcast during the the time slot.
<% } else { %>
If you remove the scheduled rerun, your show will still be on the sub
list.  But, if no other DJ volunteers to be a substitute for this
show, YOU are responsible for doinga live broadcast during the time slot.
<% } %>

<br>
</font>
<font class="header3">
<form action="<%=request.getRequestURI()%>">
<input type="hidden" name="psid" value="<%=aPSID%>">
<input type="hidden" name="archid" value="1">
<input type="hidden" name="successURL" value="rerunRemoved.jsp">
<hr>
You are requesting to remove the rerun scheduled to be broadcast for
the following show:<br>

<b>Channel</b>: <jsp:getProperty name="oaBean" property="channelname" /><br>
<b>Starts at</b>: <jsp:getProperty name="oaBean" property="startstring" /><br>
<b>Ends at</b>: <jsp:getProperty name="oaBean" property="endstring" /><br>

<input type="submit" name="unspecifyRerunButton" value="Remove Scheduled Rerun">
</form>
</font>
</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
