<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/docs/btutorial.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: btutorial.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Broadcasting Tutorial</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Broadcasting Tutorial</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">
This tutorial exists for people who have never broadcasted before, or
have not broadcasted in a long time.  <br>
If you have suggestions on things to 
add or improve in this document, please <a href="mailto:tutorial_suggestions@opendj.com">let me know</a>.
</font>
<hr>

<font class="header2">Professionalism</font><br>

<font class="bodytext">
Being professional when on the air is critical.  If you are
unprofessional or irresponsible with your time slot, you will lose it.<br>
<br>
Being professional means:<br>
</font>
<ul>
  <li><font class="bodytext">You always show up for your time slot and do your show.</font><br><br>
  <li><font class="bodytext">If for some reason you cannot do your show, you have arranged
      for a substitute DJ to take your slot at least 2 days in
      advance.</font><br><br>
  <li><font class="bodytext">You don't insult other people's music.  You listen to other
      people's shows and provide constructive feedback on their
      sound quality and on-air personality.</font><br><br>
</ul>

<hr>

<font class="header2">Show Quality</font><br>

<font class="bodytext">
A number of factors affect your show quality.  Most of these are within
your control, some are not.  Some general guidelines to ensuring good
sound quality:<br>
<br>
</font>

<ul>
  <li><font class="bodytext"><b>PICK OUT YOUR MUSIC BEFORE YOUR SHOW STARTS</b>.  If you're
      constantly scrounging for that next album during your show, it
      will be very difficult to get any continuity.  Ideally, you'll
      come up with a "show plan".  To make a show plan, simply pick
      out all the music you'll play, and sort it by album.  Sort it
      so that the music from one album segues into the next smoothly.
      In other words, don't play a Beethoven symphony followed by
      death metal.</font><br><br>

  <li><font class="bodytext"> <b>WATCH YOUR LEVELS.</b>  This means that you should ALWAYS be aware
      of your mixer's level meter.  For the
      best sound quality, your mixer's level meter should be going <b>right up</b> to the red, and
      maybe a <b>very little bit</b> into the red.  If your levels are too
      far in the red, your show will sound like shit.  If your levels are
      not coming close the red or are not even showing up, it might
      sound like DEAD AIR.
    </font><br><br>

  <li><font class="bodytext"> <b>ALWAYS CUE UP THE NEXT SONG.</b>  When you play a song, you should
      "cue up" the  next song on
      another cd player or turntable or whatever.  If you don't have
      anything cued up, when the first song finishes you'll have DEAD
      AIR.  Watch out for songs that have a long silence at the
      beginning.  You'll want to cue these up so that the album is
      paused just before the actual music begins, which may be far
      from the start of the track.</font><br><br>

  <li><font class="bodytext"> <b>TEST LEVELS WHEN CUEING.</b>  When you're cueing up the next song to 
      play, use your mixer's cue capability to check the levels on the
      song, to make sure that when you start playing it, it will sound 
      OK.  Do not underestimate this and think you can just adjust
      levels on the fly, because many albums that you own have wildly
      different recording levels.  You MUST test the levels when you
      cue them up.</font><br><br>

  <li><font class="bodytext"> <b>NEVER HAVE DEAD AIR.</b>  Dead air is airtime
      that is SILENT because the DJ fucked up.  Dead air <b>really sucks</b> on the
      listening end.  If you want to make sure people don't want to
      listen to your show, dead air is the way to go.</font><br><br>

  <li><font class="bodytext"> <b>ADJUST LEVELS SLOWLY.</b>  If something is too loud, slowly pull the 
      level down.  If it is too soft, slowly pull the level up.  Harsh 
      changes in audio levels are really harsh to listen to.</font><br><br>

  <li><font class="bodytext"> <b>SEGUE SMOOTHLY.</b>   Make sure that the
  theme of your show flows smoothly from song to song.  Making
  transitions from one genre to a totally different genre will require 
  some "cross-genre" songs, some time on the mic, or both.<br>
  A good technique to switch from one
  song to another is 
  to start the next song before the current one finishes.  Then fade
  out the current song as you raise the levels on the next song.  This 
  won't work for all songs, but it makes a very smooth segue.  If your 
  mixer has a cross-fader, then this is even easier to do. </font><br><br>

  <li><font class="bodytext"> <b>USE THE MICROPHONE.</b>  If someone really likes your show, they're
      going to want to know what the band, album, and song names are.
      Announce what you've played every 10 or 15 minutes.  Good DJs
      add additional information about the bands, perhaps some band
      history, a description of a band's genre, or a comparison to
      another band.  People LIKE finding out more about the music they 
      listen to.  Good DJs also tell their listeners what their "show
      plan" is so the listeners know what type of music to expect for
      the rest of the show.</font><br><br>

  <li><font class="bodytext"> <b>WATCH YOUR MIC LEVELS.</b>  <b>Whenever</b> you use the microphone, WATCH
      YOUR LEVELS.  Mic levels are much harder to manage than regular
      sound levels because YOU can fuck things up real easy.  </font>
      <ul>
         <li><font class="bodytext"> <b>Keep your mouth a constant distance from the mic.</b>  Find 
      a distance that works for you.
         <li><font class="bodytext"> <b>Keep a fairly constant speaking volume.</b>  Do not shout or
             whisper into the mic.  Do not blow air on the mic -- that 
             REALLY sucks to hear on the listening end.
         <li><font class="bodytext"> <b>Watch your levels WHILE you speak.</b>  It will take a little 
             getting used to, kind of like walking and chewing
             gum... but you need to do it.
         <li><font class="bodytext"> <b>To reiterate what was already stated above, if you need
             to adjust your mic levels, adjust them SLOWLY.</b>
         <li><font class="bodytext"> <b>If you have guests on your show, make sure they
             understand the basics of working with the mic.</b>  Make sure 
             you know what their levels should be on the mixing board
             by "cueing" them beforehand.
	</ul><br>

  <li><font class="bodytext"> <b>OTHER IMPORTANT MIC STUFF.</b>
    <ul>
      <li><font class="bodytext"><b>Whenever</b> you use the mic, <b>turn off your speakers</b>,
      or at least turn the volume down all the way.  Otherwise, you'll 
      get some terrible feedback.  Nice mixing boards will
      automatically cut the speakers when the mic input is turned
      on.</font>
      <li><font class="bodytext">Wear your headphones when using the mic.  Otherwise, you won't
      know what your broadcast is sounding like -- you turned off the
      speakers, remember?</font>
      <li><font class="bodytext">You might also consider getting a foam wind-screen cover for
      your mic.  Without a cover, your P's, T's and B's might
      "pop" (which sounds really bad). A cover can smooth the more percussive syllables of
      your language.
      </font>
      <li><font class="bodytext">If every other word out 
       of your mouth is "uh..." then you need to think a little more
       about what you are going to say before getting on the
       mic.</font>
    </ul><br>

   <li><font class="bodytext"> <b>HAVE A PERSONALITY.</b>
       Try to sound as if you actually enjoy being a DJ.  Ask for requests from the audience.  Steven
       Wright impressions are only allowed for 70's shows.</font><br><br>

  <li><font class="bodytext"> <b>VARIETY IS GOOD.</b>  
       Generally, you should not play more than one or two songs from
       the same artist in a single show.  Try not to play the same 
       songs every time you broadcast.  People want to hear new stuff.
        That said, sometimes listeners keep requesting the same song every
        show.  In those cases it's your call -- most times you'll
        want to be responsive to listener feedback.</font><br><br>

   <li><font class="bodytext"> <b>MAKE A TAPE.</b>  Before your first broadcast, make sure you have
       tested all your equipment and done a test broadcast.  You
       should have a decent tape deck that supports Type III or 
       Type IV tapes.  Use these kinds of tapes to record your show.
       The sound quality is much better.  After you record your show,
       listen to the tape.  How are your levels?  Are your mic levels
       ok?  Is there any dead air between songs?  Is your voice clear
       and smooth?  If the entire tape sounds very soft even though
       you know your levels were OK, check the recording level on the
       tape deck.  Type III and Type IV tapes require a reasonably
       strong recording level.</font><br><br>

   <li><font class="bodytext"> <b>CONSIDER A SHOW PARTNER.</b> A show partner can add spice
   and entertainment to your show.  You can exchange "witty banter"
   between songs.  You can debate the relative merits of various
   bands.  Bear in mind that if you have a partner, he/she should be
   aware of all the guidelines in this document, and should generally
   be as well skilled as you are (or better) at broadcasting.  Of
   course, you will also need another mic, another pair of headphones, 
   and an additional mic-in on your mixer.</font><br><br>

   <li><font class="bodytext"> <b>READ THIS TUTORIAL AGAIN.</b>  You should really understand all the 
       key points here if you want your listeners to enjoy your
       show.</font><br><br>

</ul>

</td>
</tr>
</table>
<%@ include file="include/footer.jsp" %>
  </body>
</html>
