<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/docs/faq.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: faq.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: FAQ</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Frequently Asked Questions</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<font class="header2">
This FAQ is intended to answer most common questions about
OPENdj.
</font><br>

<br>
If you have a question that isn't answered here, please
 <a href="mailto:faq@opendj.com">ask me about it</a>.  I'd be happy to answer and add it
to this FAQ.<br>
<hr>

<font class="bodytext">

<% int i=0; %>
<a href="#q_<%=String.valueOf(i++)%>">How is this legal?  Isn't this
just like Napster?  Will OPENdj be sued out of existence?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">What kind of equipment do I need 
to broadcast?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">I've never broadcasted before
and I need lots of help, where should I start?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">Can I really play
<b>anything</b> during my broadcast?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">Can I have guests on my show?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">What if I can't broadcast a show 
when I've already signed up for one?</a><br>
<br>

<a href="#q_<%=String.valueOf(i++)%>">I can't broadcast, or the sound
quality is terrible!  What am I doing wrong?</a><br>
<br>

<hr>
<% i=0; %>
<br>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>How is this legal?  Isn't this
just like Napster?  Will OPENdj be sued out of existence?</font><br>
The short answer: This is legal.  This is nothing like Napster.
OPENdj will (hopefully) not be sued out of existence.<br>
<br>
The long answer: Napster is a file-swapping service.  The Napster
service has the following characterstics that OPENdj
does not:
<ul>
  <li>Napster is a largely anonymous, pure peer-to-peer network.
  There is (practically speaking) no way to trace who is doing what.  
  OPENdj is anonymous from a listener's perspective, but DJs are
  required to register on our site and provide a certain amount of
  personal information.  If this worries you, you'll be happy to know
  that the <a href="/opendj/docs/privacy.jsp">OPENdj Privacy Policy</a>
  exists.  Our privacy policy ensures that DJ's personal information
  will never be sold or rented to third parties (like marketers), and
  will never be displayed on our site without their consent.  The
  exact details are provided in the policy document.
  
  <li>The atomic unit of Napster is a single MP3 file, typically
  representing a single song.  On OPENdj, the atomic unit is a
  broadcasted MP3 stream, which can contain many songs.  The lines
  between the songs are not clear-cut, and in fact may be
  intentionally obscured because a DJ has faded from one song into
  another.  In this respect, someone who wanted to record individual songs off
  OPENdj would be in the same position as someone who wanted to record 
  songs off the radio -- they'd sit next to their radio with a tape
  deck, and try to push "record" and "stop" at precisely the right
  times.  By the way, this sort of recording is <b>totally legal</b>
  under acceptable fair-use doctrine, as long as the recording is made 
  solely for personal use and will not be shared.

  <li>There is no context to a Napster conversation.  You will never know anything
  about the guy who gave you those Metallica MP3s on Napster.  You
  will never communicate with each other outside of exchanging MP3
  files.  On OPENdj, it's not _just_ music.  A good DJ will tell
  listeners about what songs have been played, about similar bands or
  genres, and so on.  Listeners can chat with each other and with the
  DJ during the broadcast.  This is a logical extension of regular
  radio station operations, not anything like Napster.
</ul>

Like any legal radio station, OPENdj holds broadcast licenses with 
<a href="http://www.ascap.com/">ASCAP</a> and 
<a href="http://www.bmi.com/">BMI</a>, who are responsible for 
distributing royalties to the artists they represent.  This fulfills
our obligation to the music industry, so hopefully they won't sue us!
<br>
<br>
<hr>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
What kind of equipment do I need 
to broadcast?
</font><br>
You should read our <a href="/opendj/docs/requirements.jsp">requirements</a>
document for complete information.  To summarize, you'll need a
computer with a sound card and an Internet connection, and some
music-making equipment (like CD players, a mixer, a mic, etc).
Getting good equipment can be expensive, so make sure you really want
to be a DJ before taking the plunge.<br>
<br>
<hr>

<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
I've never broadcasted before
and I need lots of help, where should I start?
</font><br>
You should start with our online
<a href="/opendj/docs/btutorial.jsp">Broadcasting Tutorial</a>.  
Play with your audio equipment.  Make some mix tapes for yourself or
for friends.  For some hands-on experience, volunteer at a local
college or community radio station.<br>
<br>
<hr>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
<a name="q_illegal"></a>
Can I really play
<b>anything</b> during my broadcast?
</font><br>
Pretty much.  You can play (or even -- gasp -- say over
the air) any of the "7 dirty words".  You can play anything indecent
or obscene that you wish.  Your listeners might not like it, but hey,
freedom of expression means freedom of ALL expressions, right?<br>
<br>
<a name="direct"></a>
There is only one requirement: You can NEVER EVER EVER broadcast
ILLEGAL material, such as:
<ul>
  <li>Copyrighted material that is not covered by ASCAP or BMI.
  Pretty much ALL music is covered by ASCAP and BMI, so what does this 
  mean?  This means you CANNOT plug your stereo or TV into your computer 
  and broadcast some other station over OPENdj's streams.  This is
  VERY VERY ILLEGAL, and you will be banned from OPENdj for life if
  you ever do this.
  <li>Speech not covered by the First Amendment.  This is a very small 
  category, but the courts have ruled that certain forms of speech are 
  not protected by First Amendment liberties.  One such example is a
  direct incitement to violence: You go over the air and tell
  everyone the name and address of your worst enemy and instruct them
  to kill that person.  This is also a VERY BAD THING, and you will be 
  banned from OPENdj for life if you ever do this.
</ul>
For more details, read the <a href="/opendj/docs/djagreement.jsp">DJ Agreement</a>.<br>
<br>
<hr>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
Can I have guests on my show?
</font><br>
Yes, you can have as many guests as you want.  You can interview
someone, have a band play on your show, whatever.  The one thing you
must always remember is that <b>you are responsible for everything
your guests do</b>.  So no <a href="#direct">direct incitements to violence</a>, OK?<br>
<br>
<hr>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
What if I can't broadcast a show 
when I've already signed up for one?
</font><br>
Find a substitute DJ.  OPENdj offers a substitute DJ service through
the "DJ Zone" area of the site.  If you can't find a sub, it's your
show.  If you miss more than 5 shows in any 12-month period, your
DJ account may be suspended.<br>
<br>
If you've broadcasted enough shows already, you may also be eligible
to rebroadcast an old show instead.<br>
<br>
For more details, see the <a href="schedpolicy.jsp">OPENdj Scheduling Policy Document</a>.<br>
<br>
<hr>
<font class="header3">
<a name="q_<%=String.valueOf(i++)%>"></a>
I can't broadcast, or the sound quality is terrible!
What am I doing wrong?
</font><br>
Stop playing the Backstreet Boys!  Seriously, there are a few things
you need to get "just right" before your broadcast will work.  Because 
you are guaranteed to fuck up the first few times you broadcast,
OPENdj provides a channel called "practice space" where you can hone
your skills.<br>
<br>
Most of the time, the problem is something simple that eludes
detection.  Here is a brief checklist:
 <ul>
   <li>Make sure you're using your computer's "line-in" input.  If you 
   use your computer's "mic" input, your broadcast WILL sound
   terrible.  You should also make sure your computer expects the
   incoming signal to be on the "line-in" and not the "mic".  To check 
   this, you'll need to run a mixer program:<br>
<b>For Windows</b>:
    <ul>
      <li>Go to Start-&gt;Programs-&gt;Accessories-&gt;Multimedia-&gt;Volume Control
      <li>Choose Options-&gt;Properties
      <li>Choose the "Recording" radio button and click the OK button.
      <li>A "Recording Control" window should pop up.  Make sure that
      "Line In" is the selected channel for recording.
    </ul>
<b>For Linux/UNIX</b>:
    <ul>
        <li>Get a mixer program.  Tucows has a good list of mixers for 
        Linux at: <a href="http://linux.tucows.com/x11html/mul_mixers.html">http://linux.tucows.com/x11html/mul_mixers.html</a>.
        <li>Run the mixer program and make sure that "Line In" is the
        selected channel for recording.
    </ul>
  <li>Make sure your computer is connected to the Internet.  If you
  can't get to the http://www.opendj.com/ website, then you won't be
  able to broadcast.
  <li>Make sure your sound card works.  Can you play MP3 files?  Can
  you record sounds using a sound recorder program? If you can't play
  and record sounds using your computer, you probably won't be able to 
  broadcast.
 </ul>

</font>

</td>
</tr>
</table>
<%@ include file="include/footer.jsp" %>
  </body>
</html>
