<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/docs/karma.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: karma.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Karma</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Karma</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<font class="header2">
What is Karma?
</font><br>
Karma is your "DJ rating" on OPENdj.  You'll have no trouble
achieving a high Karma if you always show up
for your broadcasts and you do a good show.<br>
<br>
In the near future, Karma will be used in interesting ways on 
OPENdj:
<ul>
  <li><font class="bodytext">When requesting a substitute DJ, you can request that the
  substitute have a certain Karma value.  This is nice if you
  have a lot of Karma because your usual listeners will expect a good DJ to
  perform in your absence.</font>
  <li><font class="bodytext">Certain "prime time" hours of the
  schedule may be reserved for DJs with higher Karma.</font>
</ul>

<hr>
<font class="header2">
How does Karma Scoring Work?
</font><br>
It's pretty simple: you gain Karma for doing good things, and you lose Karma for doing bad 
things.<br>
<br>
<font class="header3">
<b>Good Things</b> to do that earn Karma:<br>
</font>
<br>
<b>Doing a one-time broadcast</b>: 20 Karma per hour of broadcasting time.<br>
<i>Example: a 4 hour long one-time broadcast will earn 80 Karma.</i><br>
<br>
<b>Doing a weekly broadcast</b>: ( 30 Karma + (2 x the number of weeks) ) per
hour of broadcasting time.  For weekly broadcasts, the Karma you earn
depends on then length of your show, and also the number of weeks
you've committed to broadcasting.<br>
<i>Example: If you commit to doing a 2-hour weekly show for 6 weeks, 
that would earn ( 30 + ( 2 x 6 ) ) x 3 = 126 Karma for each weekly broadcast.</i><br>
<br>
<b>Being a substitute DJ</b>: Karma for a substitute DJ's broadcast is 
115% of what the normal Karma would be.<br>
<i>Example: If you substitute for another DJ and would normally earn
80 Karma, you actually earn 92 Karma because you were a substitute DJ.</i><br>
<br>
<b>Having listeners on your show</b>: ( 4 x average number of listeners ) per 
hour of broadcasting time.<br>
<i>Example: If you do a 2-hour show and the average number of listeners (over the
entire broadcast) is 5,that would earn an additional 40 Karma for that 
broadcast.</i><br>
<br>
<font class="header3">
<b>Bad Things</b> to do that lose Karma:<br>
</font>
<br>
<b>Arriving late or leaving early for your broadcast.</b><br>
You are considered to have arrived late if you arrive more than 15 seconds late for
your broadcast.  You are considered to have left early if you leave
more than 15 seconds before your broadcast is completed.<br>
If you arrive between 15 seconds and 5 minutes late, or if you leave
between 15 seconds and 5 minutes early, you lose 10 Karma.<br>
If you arrive between 5 minutes and 10 minutes late, or if you leave
between 5 minutes and 10 minutes early, you lose 20 Karma.<br>
If you arrive more than 10 minutes late, or if you leave
more than 10 minutes early, you lose 40 Karma.<br>
<br>
<b>Having a bad Internet connection.</b><br>
Your Internet connection is considered "bad" if you broadcast
disconnects from the OPENdj server for more than 30 seconds per hour of your
broadcast time.<br>
If your connection is down for more than 30 seconds but less than 90 seconds
per hour, you lose 10 Karma per hour of broadcasting
time.<br>
If your connection is down for between 90 seconds and 180 seconds (3 minutes) per
hour, you lose 20 Karma per hour of broadcasting.<br>
If your connection is down for more than 180 seconds (3 minutes) per hour
broadcasting time, you lose 40 Karma per hour of broadcasting.<br>
<i>Example: If you are doing a 3-hour show, and your connection is down
or unavailable for a total of 4 minutes, you would lose 30 Karma.</i><br>
<br>
<b>Not showing up for your broadcast at all.</b><br>
If you don't do your broadcast at all, you lose 50 Karma per hour of
broadcasting time.<br>
<br>
<b>Broadcasting illegal material.</b><br>
If you broadcast illegal material, your Karma will go to <b>ZERO</b>
and you will be banned from OPENdj forever.  This may sound extreme,
but it's necessary to keep OPENdj broadcasting.<br>
<i>Example: You can't broadcast for a time you've committed to because 
you'll be out of town.  Instead of losing Karma for not showing up,
you plug your home stereo into your computer before you leave town.  
Thus, you illegally broadcast another radio station's programming over the
OPENdj system.  This is a serious copyright infringement.  You will
never broadcast on OPENdj again, and you may face a lawsuit.

</font>
</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
