<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/docs/privacy.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: privacy.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Privacy Policy</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">OPENdj Privacy Policy</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<font class="header3">
OPENdj is committed to ensuring a high level of privacy to all
DJs and site visitors.  This document outlines our privacy policy.
</font>
<hr>
<b>Summary:</b> The goal of the OPENdj privacy policy is to maximize, to the greatest
extent possible, the privacy of our DJs and listeners.

<a name="email"></a>
<hr>
<font class="header2">Email Addresses</font><br>
If you are a DJ, OPENdj requires that you maintain a valid email
address on the OPENdj site.  You must supply a valid email address
because your initial OPENdj password is sent to the email address that 
you register with.  Also, if you ever change your email address after
you've registered, a new password is generated and sent to the new
email address.  This process helps to ensure that your DJ account is
associated with an email address that you can check.<br>
<br>
If you deliberalely falsify your email address, or supply an email
address that you don't regularly check, your OPENdj account may be suspended.<br>
<br>
OPENdj uses your email address to:
<ul>
  <li><font class="bodytext">Send you your initial password.</font>
  <li><font class="bodytext">Send you a new password if you request one, or if you change
  your email address.</font>
  <li><font class="bodytext">Contact you if there are problems with your broadcast.</font>
  <li><font class="bodytext">Contact you about upcoming events,
  changes to the OPENdj site or other information that DJs should be aware of.</font>
</ul>
You can sleep better at night knowing that your email address:
<ul>
  <li><font class="bodytext">Will never be sold or rented to any third
  party for advertising, bulk mailings, or any other purpose.</font>
  <li><font class="bodytext">Will never be displayed on the OPENdj
  site, unless you take action to make it visible to the public (such
  as adding it to your show description).</font>
</ul>

<a name="phone"></a>
<hr>
<font class="header2">Phone Numbers</font><br>
If you are a DJ, OPENdj requires that you maintain a valid phone
number on the OPENdj site.  This phone number should be a number where 
you can be reached during your broadcast if necessary.  It should also 
be a number that you regularly answer or check messages on.<br>
<br>
If you deliberalely falsify your phone number, or supply phone number
that you cannot be reached at during a broadcast, your OPENdj account may be
suspended.<br>
<br>
OPENdj uses your phone number to:
<ul>
  <li><font class="bodytext">Contact you in cases of extreme emergency before, 
  during, or after a broadcast.</font>
</ul>
You can sleep better at night knowing that your phone number:
<ul>
  <li><font class="bodytext">Will never be sold or rented to any third
  party for marketing or unsolicited phone calls, or any other purpose.</font>
  <li><font class="bodytext">Will never be displayed on the OPENdj
  site, unless you take action to make it visible to the public (such
  as adding it to your show description).</font>
</ul>

<a name="other"></a>
<hr>
<font class="header2">Other Information</font><br>
If you are a DJ, OPENdj also requires that you disclose other
information about your location and the type of program that you will
broadcast.  This information is used internally by OPENdj and will
never be shared with any third party.  This information may be
visible to the public on the OPENdj site in connection with your DJ account or a
broadcast that you have created or are in the progress of creating. <br>
<br>
Because your street address is not required, you will never receive
any junk mail or other unsolicited mailings because you are a DJ on the OPENdj site.<br>
<br>

<a name="cookies"></a>
<hr>
<font class="header2">HTTP Cookies</font><br>
The OPENdj site may send your web browser HTTP cookies to provide
stateful behavior across multiple page views.<br>
<br>
OPENdj uses HTTP cookies to:
<ul>
  <li><font class="bodytext">Store preferences information to provide
  a more individualized experience on the OPENdj site.
  <li><font class="bodytext">Authenticate DJs who have logged in to
  the "DJ Zone" section of the OPENdj site.
</ul>
You can sleep better at night knowing that any cookies OPENdj sends to 
your web browser:
<ul>
  <li><font class="bodytext">Will never be shared with any third
  party for marketing or tracking purposes, or any other purpose.</font>
</ul>

<a name="broadcasts"></a>
<hr>
<font class="header2">Broadcasts</font><br>
If you are a DJ and have broadcasted using the OPENdj broadcasting
service, you should know that (obviously) anything that you broadcast
is not considered private.  All broadcasts are archived, so any
personal or other sensitive information contained within your broadcasts 
should be considered public.

</font>
</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
