<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/docs/schedpolicy.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: schedpolicy.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.util.Config" %>
<%@ page import="org.opendj.util.SchedBlock" %>
<%
Config aConfig = Config.global();
int aNumBroadcastsToEarnRerun = 0;
String aRerunPctLiveLimit = aConfig.getProperty(Config.PROP_RERUNPCTLIVELIMIT);
double aOne = (double) 1.0;
aNumBroadcastsToEarnRerun
 = (int) Math.floor(aOne / (aOne - (Double.parseDouble(aRerunPctLiveLimit)/((double)100.0))));
%>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: OPENdj Scheduling Policy</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">OPENdj Scheduling Policy</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="bodytext">

<font class="header2">Signing up for Broadcasts</font><br>

DJs who wish to sign up for a new broadcast time must do so at least
<%=SchedBlock.ADVANCE_SCHED_HOURS%> hours in advance.<br>
<br>
DJs cannot sign up for new broadcasts times more than
<%=String.valueOf(SchedBlock.MAX_ADVANCE_SCHED_HOURS/24)%> days in
advance.<br>
<br>

<hr>

<font class="header2">Making Arrangements To Miss Your Show</font><br>

If you cannot broadcast during a time slot that you've committed to,
you can request a substitute DJ.  You must request a substitute DJ at
least <%=aConfig.getProperty(Config.PROP_REQSUBLIMITHOURS)%> hours in
advance.<br>  To be realistic, you should request a substitute DJ as
soon as you know you won't be able to do the show.  This will increase 
your chances of actually getting a substitute for the show.<br>
<br>
If you are eligible, you may also designate a previously broadcast
program to rerun in place of your show.  Requests for reruns must be
made at least
<%=aConfig.getProperty(Config.PROP_RERUNSCHEDLIMITHOURS)%> hours in
advance.  See the "Eligibility for Reruns" section below for more
information.<br>
<br>
You can request a substitute DJ <b>AND</b> designate a rerun.  In this 
case, if a substitute DJ volunteers to take your time slot, that DJ
will do a live broadcast.  If no substitute DJ volunteers, the rerun
you designated will be broadcast during the time slot.<br>
<br>
<hr>

<font class="header2">Substituting for Another DJ's Show</font><br>

If you want to be a substitute DJ for someone else's show, you must
sign up as a substitute DJ at least
<%=aConfig.getProperty(Config.PROP_MINSUBACCEPTHOURS)%> hours before
the show starts.<br>

<br>

<hr>

<font class="header2">Eligibility for Reruns</font><br>

Reruns are a nice way to save your ass if you can't make your show.
Don't abuse them, though, because you can only do a certain number of
reruns before you have to do more live broadcasting.<br>
<br>
For a time slot to be eligible for a rerun:
<ul>
  <li><font class="bodytext">You must have some broadcasts already done.  Reruns don't exist
  until you do some live broadcasting!</font>

  <li><font class="bodytext">You must have a rerun that is at least as long as the show
  you're planning on missing.  If you pick a rerun that's longer than
  the show you're missing, the rerun will be cut off when the show
  ends, which might sound bad to listeners.  Ideally, choose a rerun
  that is precisely as long as the show you're missing.</font>

  <li><font class="bodytext">Of all the timeslots you've committed to, at least
  <%=aRerunPctLiveLimit%> percent must 
  be live broadcasts.  In other words, you're allowed 1 rerun for
  approximately every <%=aNumBroadcastsToEarnRerun%> live broadcasts that you do.
  This is kind of like the way vacation days are accrued at many
  companies.</font>
</ul>

</font>
</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
