<%--
This file and everything in this package is covered under
the DAX Interactive Web Content License.  See the LICENSE file at the
top level of this package for full details.  A copy of the license
is also available at: http://opendj.org/docs/licenses/LICENSE.dax

The DAX Interactive Web Content License restricts your rights to use
this package in certain ways.  Please read it to make sure you are in
compliance.

Copyright 2001 DAX Interactive, LLC.

$Author: jonathan $
$Revision: 1.1.1.1 $
$Header: /home/cvspublic/opendj/opendj-site/jsp/listen/index.jsp,v 1.1.1.1 2001/09/29 20:40:27 jonathan Exp $
$Log: index.jsp,v $
Revision 1.1.1.1  2001/09/29 20:40:27  jonathan
Imported opendj-site

--%>

<%@ page import="org.opendj.util.DBFormat" %>
<%@ taglib uri="http://opendj.org/admin/channel-taglib" prefix="channel" %>
<%@ taglib uri="http://opendj.org/admin/onair-taglib" prefix="onair" %>

<%
int aNumListeners = 0;
boolean liveProgramIsOnNow = false;
boolean liveProgramIsOnLater = false;
%>
<channel:findChannels id="channellist" />

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>OPENdj: Live On OPENdj</title>
    <%@ include file="include/head.jsp" %>
  </head>

    <%@ include file="include/body.jsp" %>

<font class="mainheader">Live On OPENdj</font><br>
<hr>
<table border="0">
  <%@ include file="include/nav.jsp" %>
  <td>
<font class="header2">
OPENdj Time: <%=DBFormat.FormatDateTimeEx(System.currentTimeMillis())%>
</font>
<hr>
<font class="bodytext">

OPENdj offers the following channels for your listening enjoyment.

<channel:iterate collection="channellist" bean="cBean">
  
  <onair:getCurrentProgram id="program" channel="cBean" />
  <onair:getNextLiveProgram id="liveprogram" channel="cBean" />

  <% liveProgramIsOnNow = liveprogram.getIsOnAirNow(); %>
  <% liveProgramIsOnLater = liveprogram.getIsOnAirLater(); %>

  <hr>

  <% if ( liveProgramIsOnLater ) { %><table border="0"><tr><td valign="top"><% } %>

  <font class="header2"><jsp:getProperty name="cBean" property="name" />:</font>
  <font class="header4"><jsp:getProperty name="cBean" property="description" /></font><br>

  <% if ( program.getIsOnAirNow() ) { %>
    <font class="bodytext">The following programming is being broadcast right now:</font>
    <table border="1"><tr><td><font class="bodytext">
    <b><a href="channel.jsp?cid=<jsp:getProperty name="cBean" property="cid" />">LISTEN NOW!</a></b>
    <% aNumListeners = program.getnumlisteners();
       if ( aNumListeners > 0 ) { %>
        <br><b><%=aNumListeners%> listener<%if(aNumListeners>1){%>s<%}%> tuned in</b>
    <% } %>
    <% if ( liveProgramIsOnNow ) { %>
        <jsp:getProperty name="program" property="isliveshowstring" />
    <% } %>
    <br><b>DJ</b>: <jsp:getProperty name="program" property="djname" />
    <br><b>Show</b>: <jsp:getProperty name="program" property="showname" />
    <br><b>Genre</b>: <jsp:getProperty name="program" property="genreval" />
    <br><i><jsp:getProperty name="program" property="musicdesc" /></i>
    <br><b>Started At</b>: <jsp:getProperty name="program" property="startstringex" />
    <br><b>Ends At</b>: <jsp:getProperty name="program" property="endstringex" />
    <jsp:getProperty name="program" property="isrerunstring" />
    </font></td></tr></table>

    <font class="header4">
    <a href="schedule.jsp?cid=<jsp:getProperty name="cBean" property="cid" />">View the program schedule for this channel</a>
<br>
    <a href="showtimes.jsp?djid=<jsp:getProperty name="program" property="djid" />">View <jsp:getProperty name="program" property="djname" />'s other broadcast times.</a>
<br>
    <a href="showgenretimes.jsp?gid=<jsp:getProperty name="program" property="genre" />">View broadcast times for other <jsp:getProperty name="program" property="genreval" /> shows.</a>
    </font>
  <% } else if ( program.getIsOnAirLater() ) { %>

    <font class="bodytext">The next program on is:</font>
    <table border="1"><tr><td><font class="bodytext">
    <b>DJ</b>: <jsp:getProperty name="program" property="djname" />
    <br><b>Show</b>: <jsp:getProperty name="program" property="showname" />
    <br><b>Genre</b>: <jsp:getProperty name="program" property="genreval" />
    <br><i><jsp:getProperty name="program" property="musicdesc" /></i>
    <br><b>Starts At</b>: <jsp:getProperty name="program" property="startstringex" />
    <br><b>Ends At</b>: <jsp:getProperty name="program" property="endstringex" />
    <jsp:getProperty name="program" property="isrerunstring" />
    </font></td></tr></table>
    <a href="schedule.jsp?cid=<jsp:getProperty name="cBean" property="cid" />">View the program schedule for this channel</a>
<br>
    <a href="showtimes.jsp?djid=<jsp:getProperty name="program" property="djid" />">View <jsp:getProperty name="program" property="djname" />'s other broadcast times.</a>
<br>
    <a href="showgenretimes.jsp?gid=<jsp:getProperty name="program" property="genre" />">View broadcast times for other <jsp:getProperty name="program" property="genreval" /> shows.</a>
  <% } else { %>
    <font class="bodytext">There's nothing on right now on this channel.</font>
  <% } %>

  <% if ( liveProgramIsOnLater ) { %>
    </td><td valign="top">
    <font class="header4">The next <b>LIVE program</b> on this channel is:</font>
    <table border="1"><tr><td><font class="bodytext">
    <b>DJ</b>: <jsp:getProperty name="liveprogram" property="djname" />
    <br><b>Show</b>: <jsp:getProperty name="liveprogram" property="showname" />
    <br><b>Genre</b>: <jsp:getProperty name="liveprogram" property="genreval" />
    <br><i><jsp:getProperty name="liveprogram" property="musicdesc" /></i>
    <br><b>Starts At</b>: <jsp:getProperty name="liveprogram" property="startstringex" />
    <br><b>Ends At</b>: <jsp:getProperty name="liveprogram" property="endstringex" />
    </td></tr></table>

    </td></table>
  <% } %>
  <br><br>
</channel:iterate>

<hr>
<font class="header2">archives:</font> <font clas="header4">Previously broadcast material</b></font><br>
<font class="header4">
   <a href="/opendj/archives/index.jsp">Search the archives</a> by genre, mood, popularity, and more.
</font>

</td>
</tr>
</table>

<%@ include file="include/footer.jsp" %>

  </body>
</html>
